{% extends "base.html" %}
{% load static %}

{% block title %}Accueil{% endblock %}


{% block content %}
<section class="main-search parallex ">
         <div class="container">
            <div class="row">
               <div class="col-md-12 col-xs-12 col-sm-12">
                  <div class="main-search-title">
                     <h1>Trouvez ce que vous voulez?</h1>
                     <p>Recherchez <strong>les</strong> véhicules  disponibles</p>
                  </div>
                  <div class="search-section">
                     <form action="/resultatHome/" method="post" enctype="multipart/form-data" >{% csrf_token %} 
                        <input type="hidden" name="transmission" value="">
                     <div id="form-panel">
                        <ul class="list-unstyled search-options clearfix">
                           <li>
                              
                                 {{ form_Voiture.marque }}
                           </li>
                           <li>

                                 {{ form_Voiture.modele }} 
                           </li>
                           <li>
                              <input type="text"  class="sdate " placeholder="Début de location" name="dateStart">
                           </li>
                           <li>
                              <input type="text" class="sdate "   placeholder="Fin  de location" name="dateEnd">
                           </li>

                        </ul>
                        <input  type="hidden" name="prix">
                        <div class="clearfix" style="margin-bottom: 20px"></div>
                        <ul class="list-unstyled search-options clearfix">

                           <li>
                              {{ form_Voiture.ville }}
                           </li>
                           <li>
                              {{ form_Voiture.quartier}}
                           </li>
                           <li>
                            <select class=" form-control search-year" name="annee">
                                 <option label="Toute les années"></option>
                                 {% for year in YEAR_CHOICES %}
                                 <option>{{year}}</option>
                                 {% endfor %} 
                            </select>
                           </li>
                           
                           <li>
                              <button type="submit" class="btn btn-danger btn-lg btn-block">Recherche</button>
                           </li>
                        </ul>
                     </div>
                     </form>
                  </div>
               </div>
            </div>
         </div>
      </section>
      <!-- =-=-=-=-=-=-= Home Banner 2 End =-=-=-=-=-=-= -->
      <!-- =-=-=-=-=-=-= Main Content Area =-=-=-=-=-=-= -->
      <div class="main-content-area clearfix">
      <!-- =-=-=-=-=-=-= About CarSpot =-=-=-=-=-=-= -->
         <section class="custom-padding about-us">
            <div class="container">
               <div class="row">
                  <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
                     <div class="title">
                        <h3>A propos de <span class="heading-color">YB cars </span> Entreprise</h3>
                     </div>
                     <div class="content">
                        <p class="service-summary">Everything you need to build an amazing dealership automotive responsive website</p>
                        <p>Carspot is not only a hub where buyers and sellers can interact, it is also a comprehensive automotive portal with a forum dedicated to all automotive discussions, a blog that keeps the users up to date with the latest happenings in the automotive industry.</p>
                     </div>
                  </div>
                  <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
                     <img  class="wow slideInRight center-block img-responsive" data-wow-delay="0ms" data-wow-duration="3000ms" alt="" src="{% get_static_prefix %}images/gtr.png" >
                  </div>
               </div>
               <div class="row margin-top-20">
                  <div class="col-md-3 col-xs-12 col-sm-6">
                     <!-- services grid -->
                     <div class="services-grid">
                        <div class="icons"><i class="flaticon-key"></i></div>
                        <h4>Location</h4>
                        <p>We have the right caring, experience and dedicated professional for you.</p>
                     </div>
                  </div>
                  <div class="col-md-3 col-xs-12 col-sm-6">
                     <!-- services grid -->
                     <div class="services-grid">
                        <div class="icons"><i class="flaticon-engine-2"></i></div>
                        <h4> véhicule en bonne état</h4>
                        <p>We have the right caring, experience and dedicated professional for you.</p>
                     </div>
                  </div>
                  <div class="col-md-3 col-xs-12 col-sm-6">
                     <!-- services grid -->
                     <div class="services-grid">
                        <div class="icons"><i class="flaticon-security"></i></div>
                        <h4>véhicule sécurisé</h4>
                        <p>We have the right caring, experience and dedicated professional for you.</p>
                     </div>
                  </div>
                  <div class="col-md-3 col-xs-12 col-sm-6">
                     <!-- services grid -->
                     <div class="services-grid">
                        <div class="icons"><i class="flaticon-disc-brake-1"></i></div>
                        <h4>Fiabilité</h4>
                        <p>We have the right caring, experience and dedicated professional for you.</p>
                     </div>
                  </div>
               </div>
            </div>
         </section>
      <!-- =-=-=-=-=-=-= About CarSpot End =-=-=-=-=-=-= -->   
         <!-- =-=-=-=-=-=-= Featured  Ads =-=-=-=-=-=-= -->
         <section class="custom-padding gray over-hidden">
            <!-- Main Container -->
            <div class="container">
               <!-- Row -->
               <div class="row">
                  <!-- Heading Area -->
                  <div class="heading-panel">
                     <div class="col-xs-12 col-md-12 col-sm-12 text-center">
                        <!-- Main Title -->
                        <h1>Dernières <span class="heading-color"> voitures</span> ajoutées</h1>
                        <!-- Short Description -->
                        <p class="heading-text">Eu delicata rationibus usu. Vix te putant utroque, ludus fabellas duo eu, his dico ut debet consectetuer.</p>
                     </div>
                  </div>
                  <!-- Middle Content Box -->
                  <div class="col-md-12 col-xs-12 col-sm-12">
                     <div class="row">
                        <div class="posts-masonry">
                           {% for car in vehiculeList|slice:":6" %}
                           <div class="col-md-4 col-xs-12 col-sm-6">
                              <!-- Ad Box -->
                              <div class="category-grid-box">
                                 <!-- Ad Img -->
                                 <div class="category-grid-img">
                                    <img class="img-responsive" alt="" src="{% get_media_prefix %}{{car.feature }}" style="height: 230px;">
                                    <!-- Ad Status -->
                                    <!-- User Review -->
                                    <div class="user-preview">
                                       <a href="#"> <img src="{% static "images/users/2.jpg" %}" class="avatar avatar-small" alt=""> </a>
                                    </div>
                                    <!-- View Details --><a href="/carDetail/{{car.id}}" class="view-details">Voir les Details</a>
                                    <!-- Additional Info -->
                                    <div class="additional-information">
                                       <p>Transmission : {{car.transmission }}</p>
                                       <p>Nombre de place: {{car.nbr_place }}</p>
                                       <p>Moteur: {{car.carburant }}</p>
                                       <p>KM : {{car.kilometrage }} km</p>
                                       <p>Lieu : {{car.quartier.libelle }}</p>
                                    </div>
                                    <!-- Additional Info End-->
                                 </div>
                                 <!-- Ad Img End -->
                                 <div class="short-description">
                                    <!-- Ad Category -->
                                    <div class="category-title"> <span><a href="#">{{car.descriptiom }}</a></span> </div>
                                    <!-- Ad Title -->
                                    <h3><a title="" href="/carDetail/{{car.id}}">{{car.marque}} - {{car.modele}} - {{car.type_vehicule.libelle}} </a></h3>
                                    <!-- Price -->
                                    <div class="price">{{car.prix}} <span class="negotiable">(Negotiable)</span></div>
                                 </div>
                                 
                              </div>
                              <!-- Ad Box End -->
                           </div>
                           {% endfor %}
                        </div>
                     </div>
                  </div>
                  <!-- Middle Content Box End -->
               </div>
               <!-- Row End -->
            </div>
            <!-- Main Container End -->
         </section>
         <!-- =-=-=-=-=-=-= Featured Ads End =-=-=-=-=-=-= -->
 <!-- =-=-=-=-=-=-= Services Section  =-=-=-=-=-=-= -->
         <section class="padding-top-80 services-center">
            <div class="container">
               <!-- Heading Area -->
               <div class="heading-panel">
                  <div class="col-xs-12 col-md-12 col-sm-12 text-center">
                     <!-- Main Title -->
                     <h1>Nos <span class="heading-color"> Meilleurs </span> Services</h1>
                     <!-- Short Description -->
                     <p class="heading-text">Eu delicata rationibus usu. Vix te putant utroque, ludus fabellas duo eu, his dico ut debet consectetuer.</p>
                  </div>
               </div>
               <div class="row clearfix">
                  <!--Left Column-->
                  <div class="col-md-4 col-sm-6 col-xs-12 pull-left">
                  <!--Service Block -->
                  <div class="services-grid">
                        <div class="icons icon-right"><i class="flaticon-engine-4"></i></div>
                        <h4>verification d'identité</h4>
                        <p>We have the right caring, experience and dedicated professional for you.</p>
                     </div>
                  <!--Service Block -->
                  <div class="services-grid">
                        <div class="icons icon-right"><i class="flaticon-settings"></i></div>
                        <h4>Contrôle de véhicule</h4>
                        <p>We have the right caring, experience and dedicated professional for you.</p>
                     </div>
                      <!--Service Block -->
                    <div class="services-grid">
                        <div class="icons icon-right"><i class="flaticon-settings"></i></div>
                        <h4>service client</h4>
                        <p>We have the right caring, experience and dedicated professional for you.</p>
                     </div>
                      <!--Service Block -->
                  

                  </div>
                  
                  <!--Right Column-->
                  <div class="col-md-4 col-sm-6 col-xs-12 pull-right">
                     <!--Service Block-->
                     
                       
                     <div class="services-grid">
                        <div class="icons icon-left"><i class="flaticon-vehicle-3"></i></div>
                        <h4>haute disponibilité</h4>
                        <p>We have the right caring, experience and dedicated professional for you.</p>
                     </div>
                     <!--Service Block-->
                      <div class="services-grid">
                        <div class="icons icon-left"><i class="flaticon-car-steering-wheel"></i></div>
                        <h4>Traçabilité</h4>
                        <p>We have the right caring, experience and dedicated professional for you.</p>
                     </div>
                      
                       <!--Service Block-->
                      <div class="services-grid">
                        <div class="icons icon-left"><i class="flaticon-car-steering-wheel"></i></div>
                        <h4>Garantie</h4>
                        <p>We have the right caring, experience and dedicated professional for you.</p>
                     </div>
                  </div>
                  <!--Image Column-->
                  <div class="col-md-4 col-sm-12 col-xs-12">
                     <figure class="wow bounceInUp  animated" data-wow-delay="0ms" data-wow-duration="3500ms" >
                        <img class="center-block" src="{% static "images/ybservice.jpeg" %}" alt="">
                     </figure>
                  </div>
               </div>

            </div>

         </section>
         <!-- =-=-=-=-=-=-=  Services Section End =-=-=-=-=-=-= -->
        
         <!-- =-=-=-=-=-=-= Blog Section =-=-=-=-=-=-= -->
         <!-- =-=-=-=-=-=-= Trending Ads =-=-=-=-=-=-= -->
        
          <!-- =-=-=-=-=-=-= Section categorie supprimmer voir  le fichier (acceuil copy.html) =-=-=-=-=-=-= -->  

         <!-- =-=-=-=-=-=-= Trending Ads End =-=-=-=-=-=-= -->
         <!-- =-=-=-=-=-=-= Statistics Counter =-=-=-=-=-=-= -->
         <div class="funfacts custom-padding parallex">
            <div class="container">
               <div class="row">
                  <div class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
                     <div class="icons">
                        <i class="flaticon-vehicle"></i>
                     </div>
                     <div class="number"><span class="timer" data-from="0" data-to="{{vehiculeList|length }}" data-speed="1500" data-refresh-interval="5">0</span>+</div>
                     <h4>Total <span>Voitures</span></h4>
                  </div>
                  <div class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
                     <div class="icons">
                        <i class="flaticon-security"></i>
                     </div>
                     <div class="number"><span class="timer" data-from="0" data-to="{{locationList|length }}" data-speed="1500" data-refresh-interval="5">0</span>+</div>
                     <h4>Locations <span>Effectuées</span></h4>
                  </div>
                  <div class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
                     <div class="icons">
                        <i class="flaticon-like-1"></i>
                     </div>
                     <div class="number"><span class="timer" data-from="0" data-to="{{userList|length }}" data-speed="1500" data-refresh-interval="5">0</span>+</div>
                     <h4>Utilisateurs <span>Actifs</span></h4>
                  </div>
                  <div class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
                     <div class="icons">
                        <i class="flaticon-cup"></i>
                     </div>
                     <div class="number"><span class="timer" data-from="0" data-to="34" data-speed="1500" data-refresh-interval="5">0</span>+</div>
                     <h4>Véhicules <span> possibles</span></h4>
                  </div>
               </div>
               <!-- /.row -->
            </div>
            <!-- /.container -->
         </div>
         <!-- =-=-=-=-=-=-= Statistics Counter End =-=-=-=-=-=-= -->
         <!-- =-=-=-=-=-=-= Blog Section =-=-=-=-=-=-= -->
         <section class="custom-padding">
            <!-- Main Container -->
            <div class="container">
               <!-- Content Box -->
               <!-- Row -->
               <div class="row">
                  <!-- Heading Area -->
                  <div class="heading-panel">
                     <div class="col-xs-12 col-md-12 col-sm-12 text-center">
                        <!-- Main Title -->
                        <h1>Dernières  <span class="heading-color"> publications</span> du blog</h1>
                        <!-- Short Description -->
                        <p class="heading-text">Suivez l'acutalité des publication d'ybcars via son blog.</p>
                     </div>
                  </div>
                  <!-- Middle Content Box -->
                  <div class="col-md-12 col-xs-12 col-sm-12">
                     <div class="row">
                        <div class="posts-masonry">
                           {% for post in articleList %}
                           <!-- Blog Post-->
                           <div class="col-md-4 col-sm-6 col-xs-12">
                              <div class="blog-post">
                                 <div class="post-img">
                                    <a href="#"> <img class="img-responsive" alt="" src="{% get_media_prefix %}{{post.image }}"> </a>
                                    <div class="user-preview">
                                       <a href="#"> <img src="{% static "images/users/2.jpg" %}" class="avatar avatar-small" alt=""> </a>
                                    </div>
                                 </div>
                                 <div class="post-info"> <a href="">{{post.created_at }}</a> <a href="#">23 commentaires</a> </div>
                                 <h3 class="post-title"> <a href="/articleDetail/{{post.id}}"> {{post.titre }} </a> </h3>
                                 <p class="post-excerpt"> {{post.description }}<a href="#"><strong>Lire plus</strong></a>
                                 </p>
                              </div>
                           </div>
                           {% endfor %}

                           <!-- Blog Grid -->
                        </div>
                        <div class="clearfix"></div>
                     </div>
                  </div>
                  <!-- Middle Content Box End -->
               </div>
               <!-- Row End -->
            </div>
            <!-- Main Container End -->
         </section>
         <!-- =-=-=-=-=-=-= Blog Section End =-=-=-=-=-=-= -->
         <section class="client-section gray">
            <div class="container">
               <div class="row">
                  <div class="col-md-4 col-sm-12 col-xs-12">
                     <div class="margin-top-30">
                        <h3>Relation de confiance </h3>
                        <h2>Nos partenaires</h2>
                     </div>
                  </div>
                  <div class="col-md-8 col-sm-12 col-xs-12">
                     <div class="brand-logo-area clients-bg">
                        <div class="clients-list">
                           <div class="client-logo">
                              <a href="#"><img src="{% static "images/brands/yb_partner1.jpg" %}" class="img-responsive" alt="Brand Image" /></a>
                           </div>
                           <div class="client-logo">
                              <a href="#"><img src="{% static "images/brands/yb_partner2.jpg" %}" class="img-responsive" alt="Brand Image" /></a>
                           </div>
                           <div class="client-logo">
                              <a href="#"><img src="{% static "images/brands/yb_partner3.jpg" %}" class="img-responsive" alt="Brand Image" /></a>
                           </div>
                           <div class="client-logo">
                              <a href="#"><img src="{% static "images/brands/yb_partner4.jpg" %}" class="img-responsive" alt="Brand Image" /></a>
                           </div>
                        </div>
                     </div>
                  </div>

               </div>
            </div>
         </section>
         {% block scripts %}

         <script>
               $("#id_ville").change(function () {
            var url = "/ajax_load_quartier/";  // get the url of the `load_cities` view
            var countryId = $(this).val();  // get the selected country ID from the HTML input

            $.ajax({                       // initialize an AJAX request
               url: url,                    // set the url of the request (= localhost:8000/hr/ajax/load-cities/)
               data: {
                  'ville': countryId       // add the country id to the GET parameters
               },
               success: function (data) {   // `data` is the return of the `load_cities` view function
                  $("#id_quartier").html(data);  // replace the contents of the city input with the data that came from the server
               }
            });

            });
            $("#id_marque").change(function () {
              var url = "/ajax_load_modele/";  // get the url of the `load_cities` view
              var marque = $(this).val();  // get the selected country ID from the HTML input
         
              $.ajax({                       // initialize an AJAX request
                url: url,                    // set the url of the request (= localhost:8000/hr/ajax/load-cities/)
                data: {
                  'marque': marque       // add the country id to the GET parameters
                },
                success: function (data) {   // `data` is the return of the `load_cities` view function
                  $("#id_modele").html(data);  // replace the contents of the city input with the data that came from the server
                }
              });
         
            });
          </script>
          
<script>
         $(function() {
  $('.sdate').on('focus', function() {
    $(this).attr('type', 'date');
  });
  $('.sdate').on('blur', function() {
    if(!$(this).val()) { // important
      $(this).attr('type', 'text');
    }
  });
});
         </script>
{% endblock %}
{% endblock %}